using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TargetController.Common;
using VirtuosoComponentLibrary;
using CuriosityBoardLibrary;

namespace LEDOutput_Host
{
	public class LEDOutput_TargetViewModel : LEDOutput_TargetModel
	{
		public LEDOutput_TargetViewModel()
		{
			InitializeComponents();
		}

		public LEDOutput_TargetViewModel (ITargetHostingConfiguration TargetConfiguration) : base(TargetConfiguration)
		{
			InitializeComponents();
		}

		private void InitializeComponents()
		{
			// Add component(s) here....
			_PowerButton = new PowerButtonViewModel(this, "VirtualDeviceIsPowered", LEDTileImage.Tile1, PowerButtonColor.Blue);
            // Initialize the LED Control View Model. It will bind to SIM_LEDState variable in target
            _LEDVM = new LEDViewModel(this, "SIM_LEDState", System.Windows.Media.Colors.Green, System.Windows.Media.Colors.Gray);
		}

		private PowerButtonViewModel _PowerButton;
		public PowerButtonViewModel PowerButton
		{
			get
			{
				return _PowerButton;
			}
		}

        private LEDViewModel _LEDVM;
        public LEDViewModel LEDVM
        {
            get
            {
                return _LEDVM;
            }
        }
	}
}
